<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: sd_ale_defs_m::ale_geom_t Type Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacesd__ale__defs__m.html">sd_ale_defs_m</a></li><li class="navelem"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html">ale_geom_t</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structsd__ale__defs__m_1_1ale__geom__t-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">sd_ale_defs_m::ale_geom_t Type Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Collaboration diagram for sd_ale_defs_m::ale_geom_t:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="structsd__ale__defs__m_1_1ale__geom__t__coll__graph.png" border="0" usemap="#sd__ale__defs__m_1_1ale__geom__t_coll__map" alt="Collaboration graph"/></div>
<map name="sd__ale__defs__m_1_1ale__geom__t_coll__map" id="sd__ale__defs__m_1_1ale__geom__t_coll__map">
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a86c7bf999f2f6b5a48cf4009802f2a2f"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#a86c7bf999f2f6b5a48cf4009802f2a2f">time_uvw</a></td></tr>
<tr class="separator:a86c7bf999f2f6b5a48cf4009802f2a2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9ecefc82025e22cf14b4d612537a188"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#ad9ecefc82025e22cf14b4d612537a188">time_mp1</a></td></tr>
<tr class="separator:ad9ecefc82025e22cf14b4d612537a188"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a152220e778cdc6e9c3a643e3a1089007"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#a152220e778cdc6e9c3a643e3a1089007">first_step</a></td></tr>
<tr class="separator:a152220e778cdc6e9c3a643e3a1089007"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2417b9c6f90379e0f644246cda5e5d86"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#a2417b9c6f90379e0f644246cda5e5d86">skip_step</a></td></tr>
<tr class="separator:a2417b9c6f90379e0f644246cda5e5d86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae086506e6921413e4a16c89c18fb7919"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#ae086506e6921413e4a16c89c18fb7919">skip_step_prev</a></td></tr>
<tr class="separator:ae086506e6921413e4a16c89c18fb7919"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a70544b37ea08d80673aec68ee5df35d8"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#a70544b37ea08d80673aec68ee5df35d8">skip_flip</a></td></tr>
<tr class="separator:a70544b37ea08d80673aec68ee5df35d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acced7859de1c361e3b659ff4a3d042a0"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#acced7859de1c361e3b659ff4a3d042a0">vel_type</a></td></tr>
<tr class="separator:acced7859de1c361e3b659ff4a3d042a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed16c69f99567f66185b8f2a9d5c5b96"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#aed16c69f99567f66185b8f2a9d5c5b96">ug_n</a></td></tr>
<tr class="separator:aed16c69f99567f66185b8f2a9d5c5b96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afd881206251c47a020be3a39865e93f0"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#afd881206251c47a020be3a39865e93f0">ug_np1</a></td></tr>
<tr class="separator:afd881206251c47a020be3a39865e93f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7f9de371a89c024606833abe01f9f85"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#aa7f9de371a89c024606833abe01f9f85">ug_from_file</a></td></tr>
<tr class="separator:aa7f9de371a89c024606833abe01f9f85"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac99effb19cf396c202bcb9cf67aa3643"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#ac99effb19cf396c202bcb9cf67aa3643">dir</a></td></tr>
<tr class="separator:ac99effb19cf396c202bcb9cf67aa3643"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1ff338c7c9d7ba12555dad478a21cdb"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#ad1ff338c7c9d7ba12555dad478a21cdb">dir_sign</a></td></tr>
<tr class="separator:ad1ff338c7c9d7ba12555dad478a21cdb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afbaeb43fe6e631b377ec5fa01437bb46"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#afbaeb43fe6e631b377ec5fa01437bb46">use_bdry</a></td></tr>
<tr class="separator:afbaeb43fe6e631b377ec5fa01437bb46"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97a68416c012c74539d4181358e133c4"><td class="memItemLeft" align="right" valign="top">character(len=str_medium)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#a97a68416c012c74539d4181358e133c4">bdry_name</a></td></tr>
<tr class="separator:a97a68416c012c74539d4181358e133c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4016600a6d3dfae379cd0aefdb0737e2"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#a4016600a6d3dfae379cd0aefdb0737e2">switch_loc</a></td></tr>
<tr class="separator:a4016600a6d3dfae379cd0aefdb0737e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae59029ef3b99f6e6b80f4fef1450c78a"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#ae59029ef3b99f6e6b80f4fef1450c78a">i_min</a></td></tr>
<tr class="separator:ae59029ef3b99f6e6b80f4fef1450c78a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afaddc0e3b31c48d7ab485ab9a77cb364"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#afaddc0e3b31c48d7ab485ab9a77cb364">i_max</a></td></tr>
<tr class="separator:afaddc0e3b31c48d7ab485ab9a77cb364"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e05e45869c8e9e5822f8e148227f23e"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#a9e05e45869c8e9e5822f8e148227f23e">i_mino</a></td></tr>
<tr class="separator:a9e05e45869c8e9e5822f8e148227f23e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a163f9947a3251e1ce6ad675003a48f1b"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#a163f9947a3251e1ce6ad675003a48f1b">i_maxo</a></td></tr>
<tr class="separator:a163f9947a3251e1ce6ad675003a48f1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae715717058a46f976b3d4db3f02f2a53"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#ae715717058a46f976b3d4db3f02f2a53">ng</a></td></tr>
<tr class="separator:ae715717058a46f976b3d4db3f02f2a53"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa45f8132da4638d7e3c465d0c907b7f"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#aaa45f8132da4638d7e3c465d0c907b7f">per</a></td></tr>
<tr class="separator:aaa45f8132da4638d7e3c465d0c907b7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaed85f264bb19a0523d41f6cc02cc843"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#aaed85f264bb19a0523d41f6cc02cc843">l</a></td></tr>
<tr class="separator:aaed85f264bb19a0523d41f6cc02cc843"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a28f81c69bae0f8797441f9e8243e650a"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#a28f81c69bae0f8797441f9e8243e650a">g</a> =&gt; null()</td></tr>
<tr class="separator:a28f81c69bae0f8797441f9e8243e650a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1bcf6b6c01680a3dfa5848d45606481"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#af1bcf6b6c01680a3dfa5848d45606481">g_n</a> =&gt; null()</td></tr>
<tr class="separator:af1bcf6b6c01680a3dfa5848d45606481"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b2e8b91b2189b6eaaa9b35a917d36b1"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#a0b2e8b91b2189b6eaaa9b35a917d36b1">g_n1</a> =&gt; null()</td></tr>
<tr class="separator:a0b2e8b91b2189b6eaaa9b35a917d36b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3457e10a93ab090291efaa539c5a507c"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#a3457e10a93ab090291efaa539c5a507c">g_n2</a> =&gt; null()</td></tr>
<tr class="separator:a3457e10a93ab090291efaa539c5a507c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aace6b514a221263fac0b6b36f95a5de8"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#aace6b514a221263fac0b6b36f95a5de8">g_n3</a> =&gt; null()</td></tr>
<tr class="separator:aace6b514a221263fac0b6b36f95a5de8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae850a0fd3fa98158f4ca3d57c4cbbf3"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#aae850a0fd3fa98158f4ca3d57c4cbbf3">x_n</a> =&gt; null()</td></tr>
<tr class="separator:aae850a0fd3fa98158f4ca3d57c4cbbf3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a039a2b19c2676415a0abd70cb7927fd1"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#a039a2b19c2676415a0abd70cb7927fd1">x_n1</a> =&gt; null()</td></tr>
<tr class="separator:a039a2b19c2676415a0abd70cb7927fd1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c2c860ccd4948f424ed4ef7c79ea780"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#a7c2c860ccd4948f424ed4ef7c79ea780">x_n2</a> =&gt; null()</td></tr>
<tr class="separator:a7c2c860ccd4948f424ed4ef7c79ea780"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd502c37ba7dc5aa4247c7203bd5a7dc"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#abd502c37ba7dc5aa4247c7203bd5a7dc">x_n3</a> =&gt; null()</td></tr>
<tr class="separator:abd502c37ba7dc5aa4247c7203bd5a7dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e06f7e4f8f7b08e5286c72db8769983"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#a0e06f7e4f8f7b08e5286c72db8769983">y_n</a> =&gt; null()</td></tr>
<tr class="separator:a0e06f7e4f8f7b08e5286c72db8769983"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab442b49e150e7061a13e1b768e8f7e19"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#ab442b49e150e7061a13e1b768e8f7e19">y_n1</a> =&gt; null()</td></tr>
<tr class="separator:ab442b49e150e7061a13e1b768e8f7e19"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e63e551a75db794245adfe194bfe85a"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#a3e63e551a75db794245adfe194bfe85a">y_n2</a> =&gt; null()</td></tr>
<tr class="separator:a3e63e551a75db794245adfe194bfe85a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88883a2be98d3bd4c95fd1acb75e171b"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#a88883a2be98d3bd4c95fd1acb75e171b">y_n3</a> =&gt; null()</td></tr>
<tr class="separator:a88883a2be98d3bd4c95fd1acb75e171b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f3ef484103c9fcf6e7e8a51441a4baa"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#a0f3ef484103c9fcf6e7e8a51441a4baa">z_n</a> =&gt; null()</td></tr>
<tr class="separator:a0f3ef484103c9fcf6e7e8a51441a4baa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3cfde525579de09d11a7d685ee6132de"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#a3cfde525579de09d11a7d685ee6132de">z_n1</a> =&gt; null()</td></tr>
<tr class="separator:a3cfde525579de09d11a7d685ee6132de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5709dd129bb3e27209a59a16419d9379"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#a5709dd129bb3e27209a59a16419d9379">z_n2</a> =&gt; null()</td></tr>
<tr class="separator:a5709dd129bb3e27209a59a16419d9379"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8984ce29a7a0f4ab07c65ae4405bb997"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#a8984ce29a7a0f4ab07c65ae4405bb997">z_n3</a> =&gt; null()</td></tr>
<tr class="separator:a8984ce29a7a0f4ab07c65ae4405bb997"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab1a254d3fc3035643b0d73131d392a7"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#aab1a254d3fc3035643b0d73131d392a7">gm_n2</a> =&gt; null()</td></tr>
<tr class="separator:aab1a254d3fc3035643b0d73131d392a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afaefb5dc0158e63b8ae9fe6dd6642d8f"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#afaefb5dc0158e63b8ae9fe6dd6642d8f">dg_n2</a> =&gt; null()</td></tr>
<tr class="separator:afaefb5dc0158e63b8ae9fe6dd6642d8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab225b014bfe526d8c73b6f9763396f1"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#aab225b014bfe526d8c73b6f9763396f1">dgi_n2</a> =&gt; null()</td></tr>
<tr class="separator:aab225b014bfe526d8c73b6f9763396f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba5bdd30e289bc42c10ce2c34ad9fd30"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#aba5bdd30e289bc42c10ce2c34ad9fd30">dgm_n2</a> =&gt; null()</td></tr>
<tr class="separator:aba5bdd30e289bc42c10ce2c34ad9fd30"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac93f715d5732b066438806e8ee1f7699"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#ac93f715d5732b066438806e8ee1f7699">dgmi_n2</a> =&gt; null()</td></tr>
<tr class="separator:ac93f715d5732b066438806e8ee1f7699"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a577b33e54861e4eb1842a8ad14d7320f"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#a577b33e54861e4eb1842a8ad14d7320f">vol_n</a> =&gt; null()</td></tr>
<tr class="separator:a577b33e54861e4eb1842a8ad14d7320f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae3e864311296b4a66a2ea94635b3e51c"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#ae3e864311296b4a66a2ea94635b3e51c">vol_n1</a> =&gt; null()</td></tr>
<tr class="separator:ae3e864311296b4a66a2ea94635b3e51c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac031a999d88b5e915dabd070b4cab33d"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#ac031a999d88b5e915dabd070b4cab33d">vol_n2</a> =&gt; null()</td></tr>
<tr class="separator:ac031a999d88b5e915dabd070b4cab33d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a28c992ff748c660d3d2cdd133671a1ae"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#a28c992ff748c660d3d2cdd133671a1ae">vol_n3</a> =&gt; null()</td></tr>
<tr class="separator:a28c992ff748c660d3d2cdd133671a1ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a803db281d8e655983b9c95978fd6036c"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#a803db281d8e655983b9c95978fd6036c">vol_total_n</a></td></tr>
<tr class="separator:a803db281d8e655983b9c95978fd6036c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa14f9adcff4315f484035d271681f1a5"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#aa14f9adcff4315f484035d271681f1a5">vol_total_n1</a></td></tr>
<tr class="separator:aa14f9adcff4315f484035d271681f1a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac574d0a1860fb9eb98b2fe2f19124522"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#ac574d0a1860fb9eb98b2fe2f19124522">vol_total_n2</a></td></tr>
<tr class="separator:ac574d0a1860fb9eb98b2fe2f19124522"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab900db14c2ba7bddd57180445a42f37"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#aab900db14c2ba7bddd57180445a42f37">vol_total_n3</a></td></tr>
<tr class="separator:aab900db14c2ba7bddd57180445a42f37"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d8d096f3e8f91ed24fce96d5eca0b0a"><td class="memItemLeft" align="right" valign="top">character(len=str_medium)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#a2d8d096f3e8f91ed24fce96d5eca0b0a">trg_fname</a></td></tr>
<tr class="separator:a2d8d096f3e8f91ed24fce96d5eca0b0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50423273faaf42b94511f3f087fc73f4"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#a50423273faaf42b94511f3f087fc73f4">ntrg</a></td></tr>
<tr class="separator:a50423273faaf42b94511f3f087fc73f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9517fb6e6e73e7ab88fafb055666e4d"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#ad9517fb6e6e73e7ab88fafb055666e4d">i_ftime</a></td></tr>
<tr class="separator:ad9517fb6e6e73e7ab88fafb055666e4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9de0bed71dd7f72c8dec1dd1bf5e6e1c"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#a9de0bed71dd7f72c8dec1dd1bf5e6e1c">trg_g</a> =&gt; null()</td></tr>
<tr class="separator:a9de0bed71dd7f72c8dec1dd1bf5e6e1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb7c30c5ec7f792773e3f1bbeda1e038"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#aeb7c30c5ec7f792773e3f1bbeda1e038">trg_g_old</a> =&gt; null()</td></tr>
<tr class="separator:aeb7c30c5ec7f792773e3f1bbeda1e038"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a534b07127e0b05a7302c270b8ee5a779"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#a534b07127e0b05a7302c270b8ee5a779">ftime</a> =&gt; null()</td></tr>
<tr class="separator:a534b07127e0b05a7302c270b8ee5a779"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7d48c694e6a1e12535e68ebc1bcfb1a"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#af7d48c694e6a1e12535e68ebc1bcfb1a">trg_gs</a> =&gt; null()</td></tr>
<tr class="separator:af7d48c694e6a1e12535e68ebc1bcfb1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb40ab1a42d09a6af40db5a48d159909"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#afb40ab1a42d09a6af40db5a48d159909">trg_loc_start</a></td></tr>
<tr class="separator:afb40ab1a42d09a6af40db5a48d159909"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38386ee96dbfccc5bf6e01097ea47f95"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#a38386ee96dbfccc5bf6e01097ea47f95">trg_loc_end</a></td></tr>
<tr class="separator:a38386ee96dbfccc5bf6e01097ea47f95"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1786cbf48d3269ccfb82e65a93a8240"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#ab1786cbf48d3269ccfb82e65a93a8240">iloc</a></td></tr>
<tr class="separator:ab1786cbf48d3269ccfb82e65a93a8240"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b326249ec41f1891fb7d21e94308e27"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#a8b326249ec41f1891fb7d21e94308e27">loc</a></td></tr>
<tr class="separator:a8b326249ec41f1891fb7d21e94308e27"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a663bc5159325f94e1da10d965e8b3bdc"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#a663bc5159325f94e1da10d965e8b3bdc">bdry_iloc</a></td></tr>
<tr class="separator:a663bc5159325f94e1da10d965e8b3bdc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad31e8835e5f6511cbf7247fe94107979"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#ad31e8835e5f6511cbf7247fe94107979">bdry_loc</a></td></tr>
<tr class="separator:ad31e8835e5f6511cbf7247fe94107979"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0b27d305c03d464ca93d7facdc8831b"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__ale__defs__m_1_1ale__geom__t.html#ac0b27d305c03d464ca93d7facdc8831b">bdry_vel</a></td></tr>
<tr class="separator:ac0b27d305c03d464ca93d7facdc8831b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a663bc5159325f94e1da10d965e8b3bdc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a663bc5159325f94e1da10d965e8b3bdc">&#9670;&nbsp;</a></span>bdry_iloc</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer sd_ale_defs_m::ale_geom_t::bdry_iloc</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad31e8835e5f6511cbf7247fe94107979"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad31e8835e5f6511cbf7247fe94107979">&#9670;&nbsp;</a></span>bdry_loc</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) sd_ale_defs_m::ale_geom_t::bdry_loc</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a97a68416c012c74539d4181358e133c4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a97a68416c012c74539d4181358e133c4">&#9670;&nbsp;</a></span>bdry_name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">character(len=str_medium) sd_ale_defs_m::ale_geom_t::bdry_name</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac0b27d305c03d464ca93d7facdc8831b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac0b27d305c03d464ca93d7facdc8831b">&#9670;&nbsp;</a></span>bdry_vel</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) sd_ale_defs_m::ale_geom_t::bdry_vel</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afaefb5dc0158e63b8ae9fe6dd6642d8f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afaefb5dc0158e63b8ae9fe6dd6642d8f">&#9670;&nbsp;</a></span>dg_n2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:), pointer sd_ale_defs_m::ale_geom_t::dg_n2 =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aab225b014bfe526d8c73b6f9763396f1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab225b014bfe526d8c73b6f9763396f1">&#9670;&nbsp;</a></span>dgi_n2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:), pointer sd_ale_defs_m::ale_geom_t::dgi_n2 =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aba5bdd30e289bc42c10ce2c34ad9fd30"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba5bdd30e289bc42c10ce2c34ad9fd30">&#9670;&nbsp;</a></span>dgm_n2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:), pointer sd_ale_defs_m::ale_geom_t::dgm_n2 =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac93f715d5732b066438806e8ee1f7699"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac93f715d5732b066438806e8ee1f7699">&#9670;&nbsp;</a></span>dgmi_n2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:), pointer sd_ale_defs_m::ale_geom_t::dgmi_n2 =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac99effb19cf396c202bcb9cf67aa3643"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac99effb19cf396c202bcb9cf67aa3643">&#9670;&nbsp;</a></span>dir</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer sd_ale_defs_m::ale_geom_t::dir</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad1ff338c7c9d7ba12555dad478a21cdb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1ff338c7c9d7ba12555dad478a21cdb">&#9670;&nbsp;</a></span>dir_sign</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer sd_ale_defs_m::ale_geom_t::dir_sign</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a152220e778cdc6e9c3a643e3a1089007"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a152220e778cdc6e9c3a643e3a1089007">&#9670;&nbsp;</a></span>first_step</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical sd_ale_defs_m::ale_geom_t::first_step</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a534b07127e0b05a7302c270b8ee5a779"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a534b07127e0b05a7302c270b8ee5a779">&#9670;&nbsp;</a></span>ftime</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:), pointer sd_ale_defs_m::ale_geom_t::ftime =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a28f81c69bae0f8797441f9e8243e650a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a28f81c69bae0f8797441f9e8243e650a">&#9670;&nbsp;</a></span>g</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:), pointer sd_ale_defs_m::ale_geom_t::g =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af1bcf6b6c01680a3dfa5848d45606481"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af1bcf6b6c01680a3dfa5848d45606481">&#9670;&nbsp;</a></span>g_n</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:), pointer sd_ale_defs_m::ale_geom_t::g_n =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0b2e8b91b2189b6eaaa9b35a917d36b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0b2e8b91b2189b6eaaa9b35a917d36b1">&#9670;&nbsp;</a></span>g_n1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:), pointer sd_ale_defs_m::ale_geom_t::g_n1 =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3457e10a93ab090291efaa539c5a507c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3457e10a93ab090291efaa539c5a507c">&#9670;&nbsp;</a></span>g_n2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:), pointer sd_ale_defs_m::ale_geom_t::g_n2 =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aace6b514a221263fac0b6b36f95a5de8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aace6b514a221263fac0b6b36f95a5de8">&#9670;&nbsp;</a></span>g_n3</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:), pointer sd_ale_defs_m::ale_geom_t::g_n3 =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aab1a254d3fc3035643b0d73131d392a7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab1a254d3fc3035643b0d73131d392a7">&#9670;&nbsp;</a></span>gm_n2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:), pointer sd_ale_defs_m::ale_geom_t::gm_n2 =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad9517fb6e6e73e7ab88fafb055666e4d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad9517fb6e6e73e7ab88fafb055666e4d">&#9670;&nbsp;</a></span>i_ftime</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer sd_ale_defs_m::ale_geom_t::i_ftime</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afaddc0e3b31c48d7ab485ab9a77cb364"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afaddc0e3b31c48d7ab485ab9a77cb364">&#9670;&nbsp;</a></span>i_max</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer sd_ale_defs_m::ale_geom_t::i_max</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a163f9947a3251e1ce6ad675003a48f1b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a163f9947a3251e1ce6ad675003a48f1b">&#9670;&nbsp;</a></span>i_maxo</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer sd_ale_defs_m::ale_geom_t::i_maxo</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae59029ef3b99f6e6b80f4fef1450c78a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae59029ef3b99f6e6b80f4fef1450c78a">&#9670;&nbsp;</a></span>i_min</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer sd_ale_defs_m::ale_geom_t::i_min</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9e05e45869c8e9e5822f8e148227f23e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9e05e45869c8e9e5822f8e148227f23e">&#9670;&nbsp;</a></span>i_mino</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer sd_ale_defs_m::ale_geom_t::i_mino</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab1786cbf48d3269ccfb82e65a93a8240"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab1786cbf48d3269ccfb82e65a93a8240">&#9670;&nbsp;</a></span>iloc</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer sd_ale_defs_m::ale_geom_t::iloc</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aaed85f264bb19a0523d41f6cc02cc843"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaed85f264bb19a0523d41f6cc02cc843">&#9670;&nbsp;</a></span>l</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) sd_ale_defs_m::ale_geom_t::l</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8b326249ec41f1891fb7d21e94308e27"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8b326249ec41f1891fb7d21e94308e27">&#9670;&nbsp;</a></span>loc</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) sd_ale_defs_m::ale_geom_t::loc</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae715717058a46f976b3d4db3f02f2a53"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae715717058a46f976b3d4db3f02f2a53">&#9670;&nbsp;</a></span>ng</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer sd_ale_defs_m::ale_geom_t::ng</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a50423273faaf42b94511f3f087fc73f4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a50423273faaf42b94511f3f087fc73f4">&#9670;&nbsp;</a></span>ntrg</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer sd_ale_defs_m::ale_geom_t::ntrg</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aaa45f8132da4638d7e3c465d0c907b7f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa45f8132da4638d7e3c465d0c907b7f">&#9670;&nbsp;</a></span>per</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer sd_ale_defs_m::ale_geom_t::per</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a70544b37ea08d80673aec68ee5df35d8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a70544b37ea08d80673aec68ee5df35d8">&#9670;&nbsp;</a></span>skip_flip</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical sd_ale_defs_m::ale_geom_t::skip_flip</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2417b9c6f90379e0f644246cda5e5d86"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2417b9c6f90379e0f644246cda5e5d86">&#9670;&nbsp;</a></span>skip_step</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical sd_ale_defs_m::ale_geom_t::skip_step</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae086506e6921413e4a16c89c18fb7919"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae086506e6921413e4a16c89c18fb7919">&#9670;&nbsp;</a></span>skip_step_prev</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical sd_ale_defs_m::ale_geom_t::skip_step_prev</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4016600a6d3dfae379cd0aefdb0737e2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4016600a6d3dfae379cd0aefdb0737e2">&#9670;&nbsp;</a></span>switch_loc</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) sd_ale_defs_m::ale_geom_t::switch_loc</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad9ecefc82025e22cf14b4d612537a188"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad9ecefc82025e22cf14b4d612537a188">&#9670;&nbsp;</a></span>time_mp1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) sd_ale_defs_m::ale_geom_t::time_mp1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a86c7bf999f2f6b5a48cf4009802f2a2f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a86c7bf999f2f6b5a48cf4009802f2a2f">&#9670;&nbsp;</a></span>time_uvw</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) sd_ale_defs_m::ale_geom_t::time_uvw</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2d8d096f3e8f91ed24fce96d5eca0b0a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2d8d096f3e8f91ed24fce96d5eca0b0a">&#9670;&nbsp;</a></span>trg_fname</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">character(len=str_medium) sd_ale_defs_m::ale_geom_t::trg_fname</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9de0bed71dd7f72c8dec1dd1bf5e6e1c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9de0bed71dd7f72c8dec1dd1bf5e6e1c">&#9670;&nbsp;</a></span>trg_g</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:), pointer sd_ale_defs_m::ale_geom_t::trg_g =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aeb7c30c5ec7f792773e3f1bbeda1e038"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb7c30c5ec7f792773e3f1bbeda1e038">&#9670;&nbsp;</a></span>trg_g_old</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:), pointer sd_ale_defs_m::ale_geom_t::trg_g_old =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af7d48c694e6a1e12535e68ebc1bcfb1a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af7d48c694e6a1e12535e68ebc1bcfb1a">&#9670;&nbsp;</a></span>trg_gs</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:), pointer sd_ale_defs_m::ale_geom_t::trg_gs =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a38386ee96dbfccc5bf6e01097ea47f95"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a38386ee96dbfccc5bf6e01097ea47f95">&#9670;&nbsp;</a></span>trg_loc_end</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) sd_ale_defs_m::ale_geom_t::trg_loc_end</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afb40ab1a42d09a6af40db5a48d159909"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afb40ab1a42d09a6af40db5a48d159909">&#9670;&nbsp;</a></span>trg_loc_start</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) sd_ale_defs_m::ale_geom_t::trg_loc_start</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa7f9de371a89c024606833abe01f9f85"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa7f9de371a89c024606833abe01f9f85">&#9670;&nbsp;</a></span>ug_from_file</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical sd_ale_defs_m::ale_geom_t::ug_from_file</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aed16c69f99567f66185b8f2a9d5c5b96"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aed16c69f99567f66185b8f2a9d5c5b96">&#9670;&nbsp;</a></span>ug_n</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:), pointer sd_ale_defs_m::ale_geom_t::ug_n</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afd881206251c47a020be3a39865e93f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afd881206251c47a020be3a39865e93f0">&#9670;&nbsp;</a></span>ug_np1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:), pointer sd_ale_defs_m::ale_geom_t::ug_np1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afbaeb43fe6e631b377ec5fa01437bb46"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afbaeb43fe6e631b377ec5fa01437bb46">&#9670;&nbsp;</a></span>use_bdry</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical sd_ale_defs_m::ale_geom_t::use_bdry</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="acced7859de1c361e3b659ff4a3d042a0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acced7859de1c361e3b659ff4a3d042a0">&#9670;&nbsp;</a></span>vel_type</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer sd_ale_defs_m::ale_geom_t::vel_type</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a577b33e54861e4eb1842a8ad14d7320f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a577b33e54861e4eb1842a8ad14d7320f">&#9670;&nbsp;</a></span>vol_n</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:), pointer sd_ale_defs_m::ale_geom_t::vol_n =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae3e864311296b4a66a2ea94635b3e51c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae3e864311296b4a66a2ea94635b3e51c">&#9670;&nbsp;</a></span>vol_n1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:), pointer sd_ale_defs_m::ale_geom_t::vol_n1 =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac031a999d88b5e915dabd070b4cab33d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac031a999d88b5e915dabd070b4cab33d">&#9670;&nbsp;</a></span>vol_n2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:), pointer sd_ale_defs_m::ale_geom_t::vol_n2 =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a28c992ff748c660d3d2cdd133671a1ae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a28c992ff748c660d3d2cdd133671a1ae">&#9670;&nbsp;</a></span>vol_n3</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:), pointer sd_ale_defs_m::ale_geom_t::vol_n3 =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a803db281d8e655983b9c95978fd6036c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a803db281d8e655983b9c95978fd6036c">&#9670;&nbsp;</a></span>vol_total_n</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) sd_ale_defs_m::ale_geom_t::vol_total_n</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa14f9adcff4315f484035d271681f1a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa14f9adcff4315f484035d271681f1a5">&#9670;&nbsp;</a></span>vol_total_n1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) sd_ale_defs_m::ale_geom_t::vol_total_n1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac574d0a1860fb9eb98b2fe2f19124522"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac574d0a1860fb9eb98b2fe2f19124522">&#9670;&nbsp;</a></span>vol_total_n2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) sd_ale_defs_m::ale_geom_t::vol_total_n2</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aab900db14c2ba7bddd57180445a42f37"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab900db14c2ba7bddd57180445a42f37">&#9670;&nbsp;</a></span>vol_total_n3</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) sd_ale_defs_m::ale_geom_t::vol_total_n3</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aae850a0fd3fa98158f4ca3d57c4cbbf3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae850a0fd3fa98158f4ca3d57c4cbbf3">&#9670;&nbsp;</a></span>x_n</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:), pointer sd_ale_defs_m::ale_geom_t::x_n =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a039a2b19c2676415a0abd70cb7927fd1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a039a2b19c2676415a0abd70cb7927fd1">&#9670;&nbsp;</a></span>x_n1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:), pointer sd_ale_defs_m::ale_geom_t::x_n1 =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7c2c860ccd4948f424ed4ef7c79ea780"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c2c860ccd4948f424ed4ef7c79ea780">&#9670;&nbsp;</a></span>x_n2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:), pointer sd_ale_defs_m::ale_geom_t::x_n2 =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abd502c37ba7dc5aa4247c7203bd5a7dc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abd502c37ba7dc5aa4247c7203bd5a7dc">&#9670;&nbsp;</a></span>x_n3</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:), pointer sd_ale_defs_m::ale_geom_t::x_n3 =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0e06f7e4f8f7b08e5286c72db8769983"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e06f7e4f8f7b08e5286c72db8769983">&#9670;&nbsp;</a></span>y_n</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:), pointer sd_ale_defs_m::ale_geom_t::y_n =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab442b49e150e7061a13e1b768e8f7e19"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab442b49e150e7061a13e1b768e8f7e19">&#9670;&nbsp;</a></span>y_n1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:), pointer sd_ale_defs_m::ale_geom_t::y_n1 =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3e63e551a75db794245adfe194bfe85a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3e63e551a75db794245adfe194bfe85a">&#9670;&nbsp;</a></span>y_n2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:), pointer sd_ale_defs_m::ale_geom_t::y_n2 =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a88883a2be98d3bd4c95fd1acb75e171b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a88883a2be98d3bd4c95fd1acb75e171b">&#9670;&nbsp;</a></span>y_n3</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:), pointer sd_ale_defs_m::ale_geom_t::y_n3 =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0f3ef484103c9fcf6e7e8a51441a4baa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0f3ef484103c9fcf6e7e8a51441a4baa">&#9670;&nbsp;</a></span>z_n</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:), pointer sd_ale_defs_m::ale_geom_t::z_n =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3cfde525579de09d11a7d685ee6132de"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3cfde525579de09d11a7d685ee6132de">&#9670;&nbsp;</a></span>z_n1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:), pointer sd_ale_defs_m::ale_geom_t::z_n1 =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5709dd129bb3e27209a59a16419d9379"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5709dd129bb3e27209a59a16419d9379">&#9670;&nbsp;</a></span>z_n2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:), pointer sd_ale_defs_m::ale_geom_t::z_n2 =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8984ce29a7a0f4ab07c65ae4405bb997"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8984ce29a7a0f4ab07c65ae4405bb997">&#9670;&nbsp;</a></span>z_n3</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:), pointer sd_ale_defs_m::ale_geom_t::z_n3 =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this type was generated from the following file:<ul>
<li><a class="el" href="sd__ale__defs__m_8f90.html">sd_ale_defs_m.f90</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:52 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
